$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.162.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.162.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'DAF78D0BCD6614F1CB7259C5B81625BE178A4B30254D5E6DE391D9502AAB89C0'
  checksumType = 'sha256'
  checksum64 = 'DAF78D0BCD6614F1CB7259C5B81625BE178A4B30254D5E6DE391D9502AAB89C0'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-22.0.162-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
